import type { AnonCredsRegistry } from './services';
import type { TailsFileService } from './services/tails';
/**
 * @public
 * AnonCredsModuleConfigOptions defines the interface for the options of the AnonCredsModuleConfig class.
 */
export interface AnonCredsModuleConfigOptions {
    /**
     * A list of AnonCreds registries to make available to the AnonCreds module.
     */
    registries: [AnonCredsRegistry, ...AnonCredsRegistry[]];
    /**
     * Tails file service for download/uploading tails files
     * @default BasicTailsFileService (only for downloading tails files)
     */
    tailsFileService?: TailsFileService;
}
/**
 * @public
 */
export declare class AnonCredsModuleConfig {
    private options;
    constructor(options: AnonCredsModuleConfigOptions);
    /** See {@link AnonCredsModuleConfigOptions.registries} */
    get registries(): [AnonCredsRegistry, ...AnonCredsRegistry[]];
    /** See {@link AnonCredsModuleConfigOptions.tailsFileService} */
    get tailsFileService(): TailsFileService;
}
