"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.storeLinkSecret = void 0;
const repository_1 = require("../repository");
async function storeLinkSecret(agentContext, options) {
    const { linkSecretId, linkSecretValue, setAsDefault } = options;
    const linkSecretRepository = agentContext.dependencyManager.resolve(repository_1.AnonCredsLinkSecretRepository);
    // In some cases we don't have the linkSecretValue. However we still want a record so we know which link secret ids are valid
    const linkSecretRecord = new repository_1.AnonCredsLinkSecretRecord({ linkSecretId, value: linkSecretValue });
    // If it is the first link secret registered, set as default
    const defaultLinkSecretRecord = await linkSecretRepository.findDefault(agentContext);
    if (!defaultLinkSecretRecord || setAsDefault) {
        linkSecretRecord.setTag('isDefault', true);
    }
    // Set the current default link secret as not default
    if (defaultLinkSecretRecord && setAsDefault) {
        defaultLinkSecretRecord.setTag('isDefault', false);
        await linkSecretRepository.update(agentContext, defaultLinkSecretRecord);
    }
    await linkSecretRepository.save(agentContext, linkSecretRecord);
    return linkSecretRecord;
}
exports.storeLinkSecret = storeLinkSecret;
//# sourceMappingURL=linkSecret.js.map